xclade
Admin APIReturn reasons

Create Return Reason

Create a return reason.

POST
/admin/return-reasons
AuthorizationBearer <token>

In: header

Query Parameters

fields?string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Request Body

application/json

value*string

The return reason's value.

label*string

The return reason's label.

description?string

The return reason's description.

parent_return_reason_id?string

The ID of the parent return reason.

metadata?object

The return reason's metadata, can hold custom key-value pairs.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X POST "https://{tenant}.api.myxclade.com/admin/return-reasons" \  -H "Content-Type: application/json" \  -d '{    "value": "string",    "label": "string"  }'
{
  "return_reason": {
    "id": "string",
    "value": "string",
    "label": "string",
    "description": "string",
    "metadata": {},
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}